tidy.factanal {broom} | R Documentation

## Tidy a(n) factanal object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'factanal'
    tidy(x, ...)

### Arguments

`x` | A `factanal` object created by `stats::factanal()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A tibble::tibble with one row for each variable used in the analysis and columns:

`variable` | The variable being estimated in the factor analysis
`uniqueness` | Proportion of residual, or unexplained variance
`flX` | Factor loading of term on factor X. There will be as many columns of this format as there were factors fitted.

### See Also

`tidy()`, `stats::factanal()`

Other factanal tidiers: `augment.factanal`, `glance.factanal`

### Examples

    mod <- factanal(mtcars, 3, scores = "regression")

    glance(mod)
    tidy(mod)
    augment(mod)
    augment(mod, mtcars)

[Package broom version 0.5.2 Index]